二维码生成器

在线生成静态二维码:网址、文字、名片(vCard/MECARD)、邮件、短信、位置。内容直接写进码里,不经跳转、不会过期;PNG 每个模块整数像素,也可下载 SVG。

  • 在浏览器中处理
  • 数据不离开你的设备
  • 免费 · 无需注册
内容类型 选择文本 / 网址、名片、邮件、电话、短信或位置,二维码随输入更新。Wi-Fi 标签提供专用生成器的链接。本浏览器只保存选项设置,不把输入内容写入保存的偏好。
导出 PNG 每个模块使用相同的整数像素,因此实际尺寸可能小于所选尺寸。SVG 缩放不模糊。复制被浏览器拦截时可下载。印刷前请扫描导出的图片。
二维码选项
默认纠错等级为 M。提高等级可能让二维码更密。自动模式选择能容纳内容的最小版本;固定版本容量不足时会报错。
默认在四边各留四个模块宽的浅色静区。选择更小的静区会显示警告;排版时需在二维码四周保留足够空白。
模块颜色 / 背景色 对比度过低、红通道差值低于 40%,或深色背景上的浅色模块会触发警告。透明背景会露出二维码下方的内容,请放在浅色、无图案的底面上。
默认关闭。支持的 Shift_JIS 字符可按日文汉字模式每字使用 13 位,数字和字母数字模式仍可使用,字节段采用 UTF-8。工具不添加 ECI 头;请用实际扫码设备测试。
二维码预览 状态栏显示版本、模块数、已用数据位、编码模式和 PNG 实际尺寸。内容放不下时会报错,工具不会截断内容。

    用二维码扫描识别工具检查下载的图片 →

    示例、说明与常见问题 带实际输出的示例、与同类工具的差别,以及常见问题。

    状态栏里的数字

    二维码有数字、字母数字、字节、日文汉字四种编码模式,同一段内容可以分段混用(ISO/IEC 18004 2006 版附录 J)。本工具按“总位数最少”分段,状态栏写出选用的结果:

    • 会议室 3F-302(换行)密码见前台,纠错 M:版本 3 · 29×29 模块 · 纠错 M · 已用 268 / 352 数据位(76%),按字节编码 32 字节。汉字每字占 3 字节。
    • 同样的文字改成纠错 H,就要版本 4(33×33)。纠错码字更多,码也更密。
    • 800 个汉字、纠错 M:内容太长:需要 19220 个数据位,纠错 M 的版本 40 只能容纳 18672 位(多出 69 字节)。换成纠错 L 可以放下。 工具不会为了放下而截断内容。

    中文用什么编码

    字节段写 UTF-8,不加 ECI 标记。2006 版标准把字节模式的默认字符集定为 ISO/IEC 8859-1,ZXing 一类读码程序会按字节内容识别出 UTF-8;测试里 你好,世界 经 zxing-cpp 解码原样返回。

    二维码也有把汉字压成 13 位的模式,但 DENSO WAVE 的 FAQ 说明:中文简繁体与韩文的 13 位压缩模式(其中 GB2312 的压缩是中国国家标准),手机等设备有可能读不出来。所以本工具对中文只用 UTF-8 字节。页面里的“日文汉字模式”只用于 JIS X 0208 字符,中文简体字大多不在其中,会自动留在字节模式。

    名片码:vCard 还是 MECARD

    名片 默认写 vCard 3.0:行尾 CRLF,必填的 N、FN 都写上,逗号、分号、反斜杠和换行按 RFC 2426 第 4 节转义。中文姓名的 FN 写成“姓名”连写。只填姓名、手机和邮箱时:

    • vCard 需要版本 8(49×49)。
    • 换成 MECARD(NTT DOCOMO 的紧凑格式)是 MECARD:N:张,伟;TEL:+8613800138000;EMAIL:zhangwei@example.cn;;,只要版本 4(33×33)。

    MECARD 没有公司和职位字段(DOCOMO 格式说明),填了也不会写入,工具会提示。要印公司名就选 vCard,码要印得小就选 MECARD。邮件、电话、短信、位置分别按 mailto:(RFC 6068)、tel:(RFC 3966)、SMSTO:号码:内容(ZXing 列出的写法)、geo:纬度,经度(RFC 5870)生成。

    下载前:静区、像素和颜色

    • 静区:ISO/IEC 18004 要求四周留 4 个模块宽的浅色空白(2006 版 8.1 节),默认就是 4。版面本来四周有空白时可以调小,工具会提示。
    • 像素对齐:每个模块宽度取整数像素,不会出现一部分模块 12 像素、一部分 13 像素的情况。SVG 是按模块网格画的一条路径,放大印刷也清晰。
    • 颜色:用两种颜色的亮度差近似反射率,低于 40% 时提示(ISO/IEC 15415 中符号对比度 C 级的下限,见 Cognex 的分级表)。DENSO WAVE 指出用红光照明的扫描器读不了白底红码,工具也会检查红色通道。浅色码深色底标准允许(反色,2006 版 5.2 节),zxing-cpp 能读,但部分扫码程序不尝试,所以也会提示。

    和草料二维码等工具的区别

    2026-10-01 在桌面 Chromium 上实测:

    • 草料二维码 的文本码生成时没有向服务器提交内容的请求,图片是页面里的 data: PNG,会议室 3F-302(换行)密码见前台 也是版本 3、纠错 M。但它输出 400×400 像素的 PNG:每个模块约 12.1 像素,实际宽度 12 和 13 像素交替;四周空白只有 25 像素,约 2 个模块。草料的网址码分“网址静态码”和“网址跳转码”,后者经草料的地址跳转,生成前要看清选的是哪一种。
    • QRCode Monkey 把内容发到 api.qrcode-monkey.com/qr/custom,由服务器生成图片并存在 api.qrcode-monkey.com/tmp/ 下。

    本工具全程不联网,模块宽度一致,静区默认 4 个模块,放不下时给出准确的位数。

    限制

    • 最多 2,953 字节(版本 40、纠错 L),中文约 984 字。
    • 不能加 Logo、改圆点样式、加渐变或边框。
    • 没有活码和扫码统计,码里就是最终内容。
    • PNG 最大 4096 像素且不带 DPI 信息(印刷尺寸在排版软件里设定);另有 SVG。不提供 PDF、EPS 和 Micro QR。

    FAQ

    生成的二维码会过期吗?

    不会。这里生成的是静态码,网址或文字直接写在码图里,不经过本站跳转,也不需要账号。只要码里的链接本身能打开,印出去的码就一直能用。如果以后可能要换目标地址,就把自己能控制的短链接做成二维码,到时改短链接的跳转。

    输入的内容会上传吗?

    不会。二维码由本站 /vendor 目录下的 node-qrcode 库在浏览器里生成,PNG 和 SVG 也在页面上绘制。页面只在本浏览器里记住纠错等级、尺寸、颜色等选项,不保存你输入的内容。

    选了 1024 像素,为什么下载的是 1023 像素?

    为了让每个模块的宽度都是同样的整数像素。版本 2 的码加上静区共 33 个模块宽,1024 ÷ 33 ≈ 31.03,所以图片是 33 × 31 = 1023 像素。硬拉到 1024 会让一部分模块比别的宽 1 像素。

    一个二维码最多能放多少中文?

    中文按 UTF-8 每字 3 字节,纠错 L 时最多 2,953 字节,约 984 个汉字;纠错 M 时 2,331 字节。超出时状态栏会写明需要多少数据位、最多能放多少,以及换更低纠错等级能否放下。

    纠错等级怎么选?

    M(约 15% 可恢复)适合大多数屏幕和印刷品;会被磨损、弄脏的表面用 Q 或 H。等级越高,纠错码字越多,同样的内容可能需要更大、更密的版本。